Bug 680333 - can't switch to external only mode on laptop
can't switch to external only mode on laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-25 00:37 EST by Alex Williamson
Modified: 2012-08-07 10:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:38:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Williamson 2011-02-25 00:37:39 EST
Description of problem:
Using intel test day iso:

http://adamwill.fedorapeople.org/gfx_test_week_201102/gfx_test_week_20110221_x86-64.iso

display comes up spanning laptop lcd and external 1920x1200 display.  If I run gnome-control-center display and turn the laptop lcd off, the laptop display goes blank and the external monitor goes to powersave.  After timing out, I get a black screen spanning both displays (external monitor comes back on) with only the mouse cursor, same as bz639057


Version-Release number of selected component (if applicable):
test day iso above

How reproducible:
100%

Steps to Reproduce:
1. see description
2.
3.
  
Actual results:
fail


Expected results:
win

Additional info:
http://www.smolts.org/client/show/pub_903395a3-d4b3-4c79-8c72-c7999c3d57f4
Comment 2 Matěj Cepl 2011-03-17 15:57:25 EDT
/var/log/Xorg.0.log attachment 452203 [details]
/var/log/messages attachment 452202 [details]
dmesg attachment 452201 [details]
Comment 3 Chris Bredesen 2011-09-04 23:29:16 EDT
Pretty sure I'm having this exact issue on Lenovo T520 sandy bridge graphics.  Is there anything in the logs that points to this specific issue?  What should I attach or perform to assist in debugging?  The tell-tale sign of my symptom is the external display being on but filled black.  There are instances where g-c-c displays does in fact detect the external display and lists it (correctly) as On but it is filled with black.

Needing some win here :)
Comment 4 Joel Sherrill 2011-11-07 13:53:06 EST
I have the same problem on a Dell Latitude D830 on a docking station.  This worked on Fedora 14.

I can provide any information you want. Thanks.
Comment 5 Fedora End Of Life 2012-08-07 10:38:39 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.